# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# This package is superseded by the version included in Test-Simple ≥ 0.62,
# bundled with perl from Fedora 5 onwards

Summary:	Test testsuites that have been built with Test::Builder
Name:		perl-Test-Builder-Tester
Version:	1.01
Release:	7.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Test-Builder-Tester/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MARKF/Test-Builder-Tester-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker), perl(Test::Builder)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Make sure we don't try to build on releases where there's a later version already available
BuildConflicts:	perl(Test::Simple) >= 0.62

%description
Test::Builder::Tester is a module that helps you test testing modules that are
built with Test::Builder.

The testing system is designed to be used by performing a three step process
for each test you wish to test. This process starts with using test_out and
test_err in advance to declare what the testsuite you are testing will output
with Test::Builder to stdout and stderr.

You then can run the test(s) from your test suite that call Test::Builder. At
this point the output of Test::Builder is safely captured by
Test::Builder::Tester rather than being interpreted as real test output.

The final stage is to call test_test, which will simply compare what you
predeclared to what Test::Builder actually outputted, and report the results
back with a "ok" or "not ok" (with debugging) to the normal output.

%prep
%setup -q -n Test-Builder-Tester-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Builder::Tester.3pm*
%{_mandir}/man3/Test::Builder::Tester::Color.3pm*

%changelog
* Wed Oct 19 2011 Paul Howarth <paul@city-fan.org> 1.01-7
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon May 10 2010 Paul Howarth <paul@city-fan.org> 1.01-6
- Update dist tag macros
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Jul  7 2009 Paul Howarth <paul@city-fan.org> 1.01-5
- Define RPM macros in global scope
- Fix argument order for find with -depth
- BuildConflict with perl(Test::Simple) >= 0.62 rather than testing its version

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> 1.01-4
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::Builder)
- BuildRequire perl(Test::Simple) and test its version to avoid building on
  releases where this package is superseded by the one bundled with
  Test::Simple in the main perl package

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.01-3
- Simplify distribution-detection code
- Don't define %%perl_vendorarch in noarch package
- Remove %%__perl_version macro, used only once
- Remove %%__perl_package macro, used only twice
- Don't use macros in build-time command paths, hardcode them instead
- Remove buildroot unconditionally in %%clean and %%install
- Don't set up compiler optimization flags in noarch package
- Use search.cpan.org URLs
- Define %%{__id_u} in a more portable way
- Fix directory ownership

* Tue Jun 21 2005 Paul Howarth <paul@city-fan.org> 1.01-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.01-1
- Update to 1.01
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.09-1
- Initial build
